# (tpg) got broken since 0.1.7
%define _disable_ld_no_undefined 1

%define with_gtk3	1

%define major	1
%define libname	%mklibname %{name}-core %{major}
%define devname	%mklibname %{name}-core -d

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/%{name}/.*\\.so

Summary:	Web browser based on WebKitGtk
Name:		midori
Version:	0.5.11
Release:	%mkrel 3
License:	LGPLv2+
Group:		Networking/WWW
URL:		http://www.midori-browser.org/
# For git: git clone http://software.twotoasts.de/media/midori.git
Source0:	http://www.midori-browser.org/downloads/%{name}_%{version}_all_.tar.bz2
# (tpg) set default homepage
Patch0:		midori-0.5.9-mageia-default-homepage.patch
# (wally) add "&t=mageia" parameter to duckduckgo search
Patch1:		midori-0.5.9-mageia-duckduckgo.patch
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(unique-1.0)
BuildRequires:	pkgconfig(zeitgeist-2.0)

%if %{with_gtk3}
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(gcr-3)
%else
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(webkit-1.0)
BuildRequires:	pkgconfig(gcr-base-3)
%endif

BuildRequires:	pkgconfig(x11)
BuildRequires:	intltool
BuildRequires:	libxscrnsaver-devel
BuildRequires:	python-docutils
BuildRequires:	vala
BuildRequires:	desktop-file-utils
BuildRequires:	librsvg
BuildRequires:	cmake
BuildRequires:	gtk-doc
Provides:	webclient
Requires:	indexhtml
Requires:	xdg-utils
Requires:	glib-networking
Requires:	gsettings-desktop-schemas

%description
Midori is a lightweight GTK+ 2 web browser based on WebKitGtk. It
features tabs, windows and session management, bookmarks stored with
XBEL, searchbox based on OpenSearch, and user scripts support.

%package -n %{libname}
Summary:	Core libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the core libraries for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 0.5.7

%description -n %{devname}
This package contains the development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DUSE_APIDOCS=1 \
%if %{with_gtk3}
       -DHALF_BRO_INCOM_WEBKIT2=1
%endif

%make

%install
%makeinstall_std -C build

#fix desktop file
desktop-file-install \
	--remove-not-show-in="Pantheon" \
	--dir=%{buildroot}%{_datadir}/applications/ \
		 %{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%doc data/faq.*
%license EXPAT COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/%{name}
%{_sysconfdir}/xdg/midori
%{_datadir}/appdata/midori.appdata.xml

%files -n %{libname}
%{_libdir}/libmidori-core.so.%{major}
# wrongly named?!
%{_libdir}/libmidori-core.so.0.*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}*
%{_libdir}/libmidori-core.so


%changelog
* Wed Mar 16 2016 luigiwalser <luigiwalser> 0.5.11-3.mga6
+ Revision: 992230
- build with gtk3 and webkit2

* Mon Feb 15 2016 umeabot <umeabot> 0.5.11-2.mga6
+ Revision: 961397
- Mageia 6 Mass Rebuild

* Sun Sep 27 2015 wally <wally> 0.5.11-1.mga6
+ Revision: 884238
- new version 0.5.11

* Tue Jul 07 2015 wally <wally> 0.5.10-2.mga6
+ Revision: 852440
- fix provides excludes for plugins

* Tue Jul 07 2015 vaci0 <vaci0> 0.5.10-1.mga6
+ Revision: 852435
- Update to new version 0.5.10

* Thu Dec 25 2014 vaci0 <vaci0> 0.5.9-1.mga5
+ Revision: 805886
- Update to new version 0.5.9
- Fix default homepage patch to new version
- Fix duckduckgo patch to new version

* Wed Oct 15 2014 umeabot <umeabot> 0.5.8-5.mga5
+ Revision: 743068
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.8-4.mga5
+ Revision: 727272
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.8-3.mga5
+ Revision: 682386
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 wally <wally> 0.5.8-2.mga5
+ Revision: 655971
- rebuild for new gkt/glib/webkit

* Thu Apr 10 2014 wally <wally> 0.5.8-1.mga5
+ Revision: 613315
- new version 0.5.8

* Fri Feb 07 2014 wally <wally> 0.5.7-1.mga5
+ Revision: 585535
- switch to cmake
- libify pkg
- new version 0.5.5
- rediff default homepage patch

* Sat Oct 19 2013 umeabot <umeabot> 0.5.5-2.mga4
+ Revision: 533684
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 wally <wally> 0.5.5-1.mga4
+ Revision: 474843
- new version 0.5.5

* Mon Jul 22 2013 wally <wally> 0.5.4-2.mga4
+ Revision: 457248
- fix URL

* Mon Jul 22 2013 dams <dams> 0.5.4-1.mga4
+ Revision: 457238
- new version 0.5.4

* Sat Jun 15 2013 wally <wally> 0.5.2-3.mga4
+ Revision: 443379
- rename -vala subpkg to -devel

* Fri May 31 2013 wally <wally> 0.5.2-2.mga4
+ Revision: 433874
- add patch to add '&t=mageia' parameter to duckduckgo search

* Fri May 31 2013 wally <wally> 0.5.2-1.mga4
+ Revision: 433864
- new version 0.5.2
- rediff default homepage patch
- drop .desktop file patch

* Mon Feb 11 2013 wally <wally> 0.4.8-1.mga3
+ Revision: 397897
- fix desktop file
- exclude plugins from provides
- new version 0.4.8

* Sat Jan 12 2013 umeabot <umeabot> 0.4.7-3.mga3
+ Revision: 360041
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 wally <wally> 0.4.7-2.mga3
+ Revision: 304388
- require gsettings-desktop-schemas (mga#7750)

* Thu Sep 20 2012 wally <wally> 0.4.7-1.mga3
+ Revision: 296342
- new version 0.4.7
- rediff patches

* Sun Jul 01 2012 wally <wally> 0.4.6-2.mga3
+ Revision: 266053
- switch back to gtk2
- add some conditionals to build against gtk2/gtk3

* Mon May 28 2012 wally <wally> 0.4.6-1.mga3
+ Revision: 248664
- new version 0.4.6

* Fri Mar 09 2012 fwang <fwang> 0.4.4-1.mga2
+ Revision: 221883
- new version 0.4.4

* Mon Dec 19 2011 wally <wally> 0.4.3-3.mga2
+ Revision: 184522
- fix default homepage patch to point file which is available
  also when %%_excludedocs macro is set to yes in /etc/rpm/macros

* Mon Dec 19 2011 fwang <fwang> 0.4.3-2.mga2
+ Revision: 184117
- build gtk3 flavour

* Sun Dec 18 2011 wally <wally> 0.4.3-1.mga2
+ Revision: 183694
- new version 0.4.3

* Sun Dec 11 2011 wally <wally> 0.4.2-2.mga2
+ Revision: 180561
- require glib-networking to enable TLS/SSL support (mga#3693)

* Sat Nov 12 2011 wally <wally> 0.4.2-1.mga2
+ Revision: 166879
- new version 0.4.2
- drop obsoleted configure option
- add patch to drop Unity specific portions from .desktop file
- fix file list
- minor .spec cleanup

  + fwang <fwang>
    - new version 0.4.1
    - update file list
    - disable paiallel build
    - new version 0.4.0

* Tue Jun 21 2011 dmorgan <dmorgan> 0.3.6-3.mga2
+ Revision: 111133
- Clean spec file
  Rebuild against new webkit

* Mon Jun 13 2011 ahmad <ahmad> 0.3.6-2.mga2
+ Revision: 105514
- Update to 0.3.6

* Mon Apr 04 2011 ahmad <ahmad> 0.3.3-2.mga1
+ Revision: 80497
- update to 0.3.3

* Wed Mar 16 2011 ahmad <ahmad> 0.3.2-2.mga1
+ Revision: 72964
- rebuild against webkit-1.2.x

* Sun Mar 13 2011 ahmad <ahmad> 0.3.2-1.mga1
+ Revision: 70772
- update to 0.3.2
- modify the BR
- build with bundled waf, this release doesn't build with system waf

  + kharec <kharec>
    - imported package midori

